# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Kwiki/CGI.pm) perl(Kwiki/Plugin.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%filter_from_requires /^perl.mixin.pm./d
Name:           perl-Kwiki-RecentChanges
Version:        0.14
Release:        alt1_21
Summary:        Kwiki Recent Changes Plugin
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Kwiki-RecentChanges/
Source0:        http://www.cpan.org/authors/id/G/GU/GUGOD/Kwiki-RecentChanges-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(IO/All.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Kwiki.pm)
Requires:       perl(Kwiki.pm) >= 0.37

# RPM 4.8 style
%{echo 
%filter_from_requires /^perl.mixin.pm./d

}
# RPM 4.9 style

Source44: import.info

%description
Kwiki Recent Changes plugin.

%prep
%setup -q -n Kwiki-RecentChanges-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1_21
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1_20
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1_18
- fc import

